tez-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Masatake Iwasaki (Jira)" <j...@apache.org>
Subject [jira] [Commented] (TEZ-4319) Add explicit dependency on snappy-java to tez-api
Date Wed, 14 Jul 2021 07:51:00 GMT

    [ https://issues.apache.org/jira/browse/TEZ-4319?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17380411#comment-17380411
] 

Masatake Iwasaki commented on TEZ-4319:
---------------------------------------

The snappy-java-1.0.5.jar is buildled with hadoop via dependency on avro and not bundled with
tez-dist.
{noformat}
[INFO] --- maven-dependency-plugin:2.8:tree (default-cli) @ tez-api ---
[INFO] org.apache.tez:tez-api:jar:0.10.0
...
[INFO] +- org.apache.hadoop:hadoop-common:jar:3.1.3:compile
...
[INFO] |  +- org.apache.avro:avro:jar:1.7.7:compile
[INFO] |  |  +- com.thoughtworks.paranamer:paranamer:jar:2.3:compile
[INFO] |  |  \- org.xerial.snappy:snappy-java:jar:1.0.5:compile
{noformat}

> Add explicit dependency on snappy-java to tez-api
> -------------------------------------------------
>
>                 Key: TEZ-4319
>                 URL: https://issues.apache.org/jira/browse/TEZ-4319
>             Project: Apache Tez
>          Issue Type: Improvement
>    Affects Versions: 0.10.1
>            Reporter: Masatake Iwasaki
>            Priority: Major
>
> Implicit dependency on snappy-java-1.0.5 was added by TEZ-4113. It causes error on platforms
like aarch64 for which snappy binary is not provided.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message